Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.file
Interface FileApplication

    public interface FileApplication

Client Interface for a File Adapter

Version:
  $Revision: 1.6 $

Method Summary
`byte[]` | `getByteArray()` Get the byte array data to be written to a particular file.
`java.lang.String` | `getEncoding()` Get the encoding
`java.lang.String` | `getText()` Get the String data to be written a particular file.
`void` | `setByteArray(byte[] bytes)` Set the byte array data to be written to a particular file.
`void` | `setEncoding(java.lang.String encoding)` Set the encoding
`void` | `setText(java.lang.String inputText)` Set the String data to be written to a particular file.
`void` | `write()` Write String data to a particular file.
`void` | `writeBytes()` Write byte[] data to a particular file.

Method Detail

### setText

    void setText(java.lang.String inputText)

  Set the String data to be written to a particular file.

  Parameters:
    `inputText` - the data to send to the file, stored as a String
  Throws:
    `FileApplicationException` - when any error occurs

### getText

    java.lang.String getText()

  Get the String data to be written a particular file.

  Returns:
    current value of the input text to send

### setByteArray

    void setByteArray(byte[] bytes)

  Set the byte array data to be written to a particular file.

  Parameters:
    `bytes` - the data to send to the file, stored as a byte array
  Throws:
    `FileApplicationException` - when any error occurs

### getByteArray

    byte[] getByteArray()

  Get the byte array data to be written to a particular file.

  Returns:
    current value of the input byte array

### write

    void write()
               throws FileApplicationException

  Write String data to a particular file.

  Throws:
    `FileApplicationException` - when any error occurs

### writeBytes

    void writeBytes()
                    throws FileApplicationException

  Write byte[] data to a particular file. must call setByteArray earlier

  Throws:
    `FileApplicationException` - when any error occurs

### setEncoding

    void setEncoding(java.lang.String encoding)

  Set the encoding

  Parameters:
    `encoding` -

### getEncoding

    java.lang.String getEncoding()

  Get the encoding

Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for File API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.